#include <stdio.h>

#define BUFFER 100

unsigned int randaux() {
    static long seed = 1;
    return (((seed = seed * 214013L + 2531011L) >> 16) & 0x7fff);
}

/* Implementação do procedimento MostraLamberta */
void MostraLamberta(int tabuleiro[], int tamanho) {
    char tabuleiroox[tamanho];
    int i;

    for (i = 0; i < tamanho; i++)
        if (tabuleiro[i] % 2 == 0) {
            tabuleiroox[i] = 'O';
        } else {
            tabuleiroox[i] = 'X';
        }
    tabuleiroox[tamanho] = '\0';
    printf("%s", tabuleiroox);
}

void main() {
    int i, saltos, tamanho, tabuleiro[BUFFER];
    scanf("%d %d", &tamanho, &saltos);

    // saltar os primeiros números aleatórios, para ter sequências distintas
    for (i = 0; i < saltos; i++)
        randaux();

    // gerar os numeros aleatórios
    for (i = 0; i < tamanho; i++)
        tabuleiro[i] = randaux();

    /* Chamar o procedimento para gerar um novo tabuleiro */
    MostraLamberta(tabuleiro, tamanho);
}